Bug 839786 - RFE: Update munin to 2.0.x release
RFE: Update munin to 2.0.x release
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 16:27 EDT by Jóhann B. Guðmundsson
Modified: 2012-09-26 17:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 05:01:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2012-07-12 16:27:24 EDT
Description of problem:

Just a heads up munin 2.0 got released roughly a month ago..

http://sourceforge.net/projects/munin/files/stable/

Is there anything preventing munin being upgraded to the 2.x release?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin Fenzi 2012-07-12 16:34:04 EDT
Yep. We are well aware. 

fenris02 was working on a updated/new spec, but not sure where progress is on it.
Comment 2 d. johnson 2012-07-14 23:03:33 EDT
I am not exactly happy with this yet, so it is still sitting waiting for more testing. However, you can find a scratch build at: http://koji.fedoraproject.org/koji/taskinfo?taskID=4240803
Comment 3 Kevin Fenzi 2012-07-15 13:31:05 EDT
Yeah, at the least that needs the node subpackage split back out (so you can install just node on nodes without having to install the server).
Comment 4 d. johnson 2012-07-15 23:27:30 EDT
v2.0.2 is the current stable version, and has been updated in rawhide.

Upgrading from v1.4 -> v2.0 is non-trivial enough that it should not be done in a %post script, but otherwise appears to be ok.  (See UPGRADING, biggest issue is the CGI requirement.)
Comment 5 Steve Schnepp 2012-07-16 10:34:12 EDT
Actually (In reply to comment #4)
> Upgrading from v1.4 -> v2.0 is non-trivial enough that it should not be done
> in a %post script, but otherwise appears to be ok.  (See UPGRADING, biggest
> issue is the CGI requirement.)

I rewrote munin-graph specifically to ease upgrades.

And, if you need more upstream help on upgrading, just ask :-)
Comment 6 Lonni J Friedman 2012-07-25 12:47:50 EDT
It would be awesome if this was pushed out to F17 (or even F16).  I've been literally waiting over a year for the performance improvements in munin-2.x.
Comment 7 Fedora Update System 2012-08-07 00:19:52 EDT
munin-2.0.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.fc17
Comment 8 Fedora Update System 2012-08-07 00:33:38 EDT
munin-2.0.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.fc16
Comment 9 Fedora Update System 2012-08-07 00:34:57 EDT
munin-2.0.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.el6
Comment 10 Fedora Update System 2012-08-07 00:44:31 EDT
munin-2.0.4-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.el5
Comment 11 Fedora Update System 2012-08-08 14:32:33 EDT
Package munin-2.0.4-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.4-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6640/munin-2.0.4-3.el5
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-08-14 14:37:22 EDT
munin-2.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.fc17
Comment 13 Fedora Update System 2012-08-14 14:53:55 EDT
munin-2.0.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.fc16
Comment 14 Fedora Update System 2012-08-14 15:00:45 EDT
munin-2.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.el6
Comment 15 Fedora Update System 2012-08-19 21:52:42 EDT
munin-2.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.5-2.fc17
Comment 16 Fedora Update System 2012-08-19 21:54:13 EDT
munin-2.0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.5-2.fc16
Comment 17 Fedora Update System 2012-08-20 00:12:41 EDT
munin-2.0.5-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.5-3.el5
Comment 18 Fedora Update System 2012-08-20 00:12:51 EDT
munin-2.0.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.5-3.el6
Comment 19 Fedora Update System 2012-09-01 09:02:10 EDT
munin-2.0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc17
Comment 20 Fedora Update System 2012-09-01 09:46:35 EDT
munin-2.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc16
Comment 21 Fedora Update System 2012-09-01 15:41:53 EDT
munin-2.0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el6
Comment 22 Fedora Update System 2012-09-01 16:14:25 EDT
munin-2.0.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el5
Comment 23 Fedora Update System 2012-09-08 02:40:44 EDT
munin-2.0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc17
Comment 24 Fedora Update System 2012-09-08 03:28:06 EDT
munin-2.0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc16
Comment 25 Fedora Update System 2012-09-08 03:41:29 EDT
munin-2.0.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el6
Comment 26 Fedora Update System 2012-09-08 03:54:16 EDT
munin-2.0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el5
Comment 27 Fedora Update System 2012-09-26 05:01:26 EDT
munin-2.0.6-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2012-09-26 05:08:22 EDT
munin-2.0.6-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2012-09-26 17:34:54 EDT
munin-2.0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2012-09-26 17:37:44 EDT
munin-2.0.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.